<?php

require_once __DIR__ .'/../vendor/autoload.php';

use FeedWriter\ATOM;
use tildeteam\wiki;

$feed = new ATOM();
$parser = wiki::factory();

$feed->setTitle("tilde.team news");
$feed->setLink("https://tilde.team/news/");
$feed->setDescription("updates and news for tilde.team");

foreach (glob("pages/*.md") as $page)
{
    $file = $parser->parse(file_get_contents($page));
    $yaml = $file->getYAML();
    if (!$yaml["published"]) continue;

    $item = $feed->createNewItem();

    $item->setTitle($yaml["title"]);
    $item->setLink("https://tilde.team/news/" . basename($page, ".md"));
    $item->setDate($yaml["date"]);
    $item->setContent($file->getContent());

    $feed->addItem($item);
}

$feed->printFeed();

