---
author: ~ben
published: true
title: email
description: email settings for tilde.team
category:
- services
- guides
---

tilde.team has a mailserver. here are your options:

### clients and connection settings

- mutt - should work out of the box
- alpine - should work out of the box
- [webmail](https://mail.tilde.team)
- imap/smtp
    - some clients will autoconfigure (tested with thunderbird)
    - email address: username@tilde.team (or any of the aliased [domains](domains))
    - username: username (without the domain)
    - password: your shell password

#### connection info

| protocol | hostname        | port | security |
|----------|-----------------|------|----------|
| imap     | imap.tilde.team | 143  | starttls |
| imaps    | imap.tilde.team | 993  | tls      |
| pop3s    | pop.tilde.team  | 995  | tls      |
| smtp     | smtp.tilde.team | 587  | starttls |
| smtps    | smtp.tilde.team | 465  | tls      |

note: these domains all resolve to the same IP of our main server.

### alternate domains and addresses

because [~ben](https://tilde.team/~ben/) hoards domain names, you can
use any of the [domains on this list](domains) with your tildemail:

mail sent to yourusername@ any of those domains will end up in your
inbox. most clients will allow you to add additional identities/aliases.

additionally, any address with a `+` and arbitrary text behind it
will be forwarded to your email: ie. `yourusername+somethingcool@tildeteam.org`.
plus-addresses are very useful for filtering mail.

### outlook
For outlook, there's a specific setup - if you have to use it and prefer to not
have multiple email clients, you can do this.

1. Run `outlook.exe /manageprofiles` and make sure outlook is closed before hand
2. Now you should have a windows with three options, click `email accounts...`
3. Click on `New` in the first tab to create a new email account
4. Select manual setup or additional server types and then select `POP or IMAP`
5. Fill the servers in using the table. Not it won't work yet as we need to do some things.
6. After entering the details on the page, select `More Settings`, go to `Outgoing Server` 
   and select `Log on using` and fill the username (without domain) and password
7. Then go into the `Advanced` tab and fill in the ports and connection types as per the table.
   Make sure all the ports are correct and click `ok` and then finally click `next`

Everything should now be setup.

### forwarding and sieve

if you would like your tildemail to be forwarded somewhere else, put that
email address in a file called `~/.forward`

```bash
echo myotheraddress@example.com > ~/.forward
```

we also have [sieve](http://sieve.info) and
[managesieve](https://doc.dovecot.org/admin_manual/pigeonhole_managesieve_server/) support.

scripts belong in `~/sieve/`, with the active sieve script
named `~/.dovecot.sieve` (to conform with managesieve).

here are some [example sieve scripts](
https://doc.dovecot.org/configuration_manual/sieve/examples/)

managesieve is available on the default port (4190) if you want
to use an external managesieve client (like the [thunderbird add-on](
https://github.com/thsmi/sieve)).

[our webmail](https://mail.tilde.team/#/settings/filters) is pre-configured
to manage your sieve scripts.

---

ask [~ben](/~ben/) if you have any questions
